OCAMLDEBUG(1)

NAME
ocamldebug - the Objective Caml source-level replay debugger.

SYNOPSIS
ocamldebug [options] program [arguments]

DESCRIPTION
ocamldebug is the Objective Caml source-level replay debugger.

OPTIONS
A summary of options are included below. For a complete description, see the html documentation in the ocaml-doc package.

-I directory
    Add directory to the list of directories searched for source files and compiled files.

-s socket
    Use socket for communicating with the debugged program.

-c count
    Set the maximum number of simultaneously live checkpoints to count.

-cd directory
    Run the debugger program from the given directory, instead of the current working directory.

-emacs
    Tell the debugger it is executed under Emacs.

SEE ALSO
ocamldebug is documented fully in the Ocaml HTML documentation.

AUTHOR
This manual page was written by Sven LUTHER <luther@debian.org>, for the Debian GNU/Linux system (but may be used by others).